#!/usr/bin/php
<?php

function __autoload($classname)
{
	set_include_path('.:/opt/logserver/gui/libs/');
	require_once (strtolower($classname) . '.php');
}

function getHosts()
{
	$hosts = array();

	$table = date('Y_m_d_H', time() - 3600);
	$result = Database::query("SELECT * FROM tables_registry WHERE name = 'messages_{$table}'"
		. " AND ((location & get_location_mask('database'))::integer != 0)");
	if (count($result))
	{
		$result = Database::query("SELECT host FROM messages_{$table} GROUP BY host");
		foreach ($result as $host)
			$hosts[] = $host['host'];
	}

	return $hosts;
}

$file = '/tmp/logserver-license.dat';
$hosts = array();

if (date('G') == '0' && file_exists($file))
	unlink($file);
elseif (($data = @file_get_contents($file)) !== false)
{
	$hosts = explode(':', $data);
	// correctly handle a situation when file is empty for some reason
	if ($hosts[0] === '')
		$hosts = array();
}

$new_hosts = array_diff(getHosts(), $hosts);
if (count($new_hosts))
{
	$data = (count($hosts) ? ':' : '') . implode(':', $new_hosts);
	file_put_contents($file, $data, FILE_APPEND);
}

?>
