#!/bin/bash

install -d -m755 -p /var/log/oslogd/spool
install -d -m755 -p /var/log/oslogd/archive
install -d -m755 -p /var/log/oslogd/error
[ -f /etc/syslog-ng.conf ] && install -D -m644 -p --backup=t syslog-fs.conf /etc/syslog-ng.conf
[ -f /etc/syslog-ng/syslog-ng.conf ] && install -D -m644 -p --backup=t syslog-fs.conf /etc/syslog-ng/syslog-ng.conf
[ -f /opt/syslog-ng/etc/syslog-ng.conf ] && install -D -m644 -p --backup=t syslog-fs.conf /opt/syslog-ng/etc/syslog-ng.conf

/sbin/chkconfig --add op5logserver-loader || echo "Problems adding op5 load daemon to startup"
if [ "$1" == "upgrade" ]; then
    /etc/init.d/op5logserver-loader restart
elif [ "$1" == "install" ]; then
    /etc/init.d/op5logserver-loader start
fi
/sbin/service syslog-ng restart
echo
